当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : mplayer开3D闪烁的解决方法
帖子发表于 : 2008-05-13 16:11 

注册: 2007-10-21 12:36
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
昨天晚上折腾到一点,搜了N个帖子,终于搞定了
我的笔记本显卡是ATI1600(BS下他们的驱动),驱动用的是apt-get的驱动,不是在ati官网上下载的。

开3D后,视频闪的厉害,解决办法,自己编译安装mplayer,打补丁

下载mplayer的源代码:http://www3.mplayerhq.hu/MPlayer/releases/MPlayer-1.0rc2.tar.bz2
下载补丁文件 http://smspillaz.googlepages.com/mplayrepatch.patch
把补丁放到mplayer解压后的libvo目录,在此目录下执行

patch -p0 vo_xv.c mplayrepatch.patch

回到mplayer目录执行

./configure 加后面一堆参数

请问我知道用什么参数?

请执行./configure --help,看看吧,都是些简单的英语

其实mplayer编译不麻烦,关键有的同学没有读readme,也没有看./configure --help

如果./configure出错了,仔细看看出错信息,一般是系统缺少包,google吧。需要zlib啊gtk2.0-dev啊什么的,记不清楚了。

然后 make

sudo make install

装好后就不闪了

至于皮肤和字体,很多帖子都有说。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-13 23:12 

注册: 2008-05-10 0:51
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
好的,谢谢,阿
能说说你用的是什么版本的驱动吗?
你装mplayer之后video drivers上面有xv驱动吗?


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-15 10:33 

注册: 2007-09-06 16:07
帖子: 466
送出感谢: 0 次
接收感谢: 0 次
缺少是因为没有在编译前安装相应的库造成的。

在make之前要

sudo apt-get install comerr-dev ladspa-sdk libaa1-dev libarts1c2a libarts1-dev \
libartsc0 libartsc0-dev libasound2-dev libaudio2 libaudio-dev libaudiofile-dev \
libavahi-client-dev libavahi-common-dev libcaca-dev libcairo-directfb2 \
libcairo-directfb2-dev libcdio-dev libcdparanoia0-dev libcucul-dev libcupsys2-dev \
libdbus-1-dev libdirectfb-dev libdirectfb-extra libdts-dev libdv4-dev libenca0 \
libenca-dev libesd0-dev libfaac0 libfaac-dev libfreebob0 libfribidi-dev \
libgcrypt11-dev libggi2 libggi2-dev libggiwmh0 libggiwmh0-dev libgii1 libgii1-dev \
libgii1-target-x libgl1-mesa-dev libglu1-mesa-dev libgnutls-dev libgnutlsxx13 \
libgpg-error-dev libgtk2.0-dev libgtk-directfb-2.0-0 libgtk-directfb-2.0-dev \
libjack0 libjack-dev libjpeg62-dev libkadm55 libkrb5-dev libladspa-ocaml \
libladspa-ocaml-dev liblame0 liblame-dev liblcms1-dev \
liblivemedia-dev liblzo2-dev libmad0 libmad0-dev libmng-dev libmpcdec3 \
libmpcdec-dev libncurses5-dev libogg-dev libopenal-dev libopencdk10-dev \
libpng12-dev libpopt-dev libpulse-browse0 libpulse-dev libpulse-mainloop-glib0 \
libqt3-headers libqt3-mt libqt3-mt-dev libsdl1.2-dev libslang2-dev libsmbclient-dev \
libsmpeg0 libsmpeg-dev libspeex-dev libsvga1 libsvga1-dev libsysfs-dev libtasn1-3-dev \
libtheora-dev libtwolame0 libtwolame-dev libungif4-dev libungif4g libvorbis-dev \
libx11-dev libx264-57 libx264-dev libxcb-shm0 libxcb-shm0-dev libxcb-xv0 \
libxcb-xv0-dev libxcb-xvmc0 libxcb-xvmc0-dev libxext-dev libxi-dev libxinerama-dev \
libxmu-dev libxmu-headers libxss-dev libxt-dev libxv-dev libxvidcore4 libxvidcore4-dev \
libxvmc1 libxvmc-dev libxxf86dga-dev libxxf86vm-dev mesa-common-dev ocaml-base-nox \
ocaml-findlib ocaml-interp ocaml-nox qt3-dev-tools x11proto-core-dev \
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86dga-dev \
x11proto-xf86vidmode-dev zlib1g-dev zlib1g-dev


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-16 8:59 

注册: 2008-05-15 13:41
帖子: 56
地址: 浙江
送出感谢: 0 次
接收感谢: 0 次
感谢LZ和LS兄弟分享了


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-16 12:40 
头像

注册: 2006-03-04 23:10
帖子: 888
地址: 江西高安
送出感谢: 0 次
接收感谢: 2
mech 写道:
缺少是因为没有在编译前安装相应的库造成的。

在make之前要

sudo apt-get install comerr-dev ladspa-sdk libaa1-dev libarts1c2a libarts1-dev \
libartsc0 libartsc0-dev libasound2-dev libaudio2 libaudio-dev libaudiofile-dev \
libavahi-client-dev libavahi-common-dev libcaca-dev libcairo-directfb2 \
libcairo-directfb2-dev libcdio-dev libcdparanoia0-dev libcucul-dev libcupsys2-dev \
libdbus-1-dev libdirectfb-dev libdirectfb-extra libdts-dev libdv4-dev libenca0 \
libenca-dev libesd0-dev libfaac0 libfaac-dev libfreebob0 libfribidi-dev \
libgcrypt11-dev libggi2 libggi2-dev libggiwmh0 libggiwmh0-dev libgii1 libgii1-dev \
libgii1-target-x libgl1-mesa-dev libglu1-mesa-dev libgnutls-dev libgnutlsxx13 \
libgpg-error-dev libgtk2.0-dev libgtk-directfb-2.0-0 libgtk-directfb-2.0-dev \
libjack0 libjack-dev libjpeg62-dev libkadm55 libkrb5-dev libladspa-ocaml \
libladspa-ocaml-dev liblame0 liblame-dev liblcms1-dev \
liblivemedia-dev liblzo2-dev libmad0 libmad0-dev libmng-dev libmpcdec3 \
libmpcdec-dev libncurses5-dev libogg-dev libopenal-dev libopencdk10-dev \
libpng12-dev libpopt-dev libpulse-browse0 libpulse-dev libpulse-mainloop-glib0 \
libqt3-headers libqt3-mt libqt3-mt-dev libsdl1.2-dev libslang2-dev libsmbclient-dev \
libsmpeg0 libsmpeg-dev libspeex-dev libsvga1 libsvga1-dev libsysfs-dev libtasn1-3-dev \
libtheora-dev libtwolame0 libtwolame-dev libungif4-dev libungif4g libvorbis-dev \
libx11-dev libx264-57 libx264-dev libxcb-shm0 libxcb-shm0-dev libxcb-xv0 \
libxcb-xv0-dev libxcb-xvmc0 libxcb-xvmc0-dev libxext-dev libxi-dev libxinerama-dev \
libxmu-dev libxmu-headers libxss-dev libxt-dev libxv-dev libxvidcore4 libxvidcore4-dev \
libxvmc1 libxvmc-dev libxxf86dga-dev libxxf86vm-dev mesa-common-dev ocaml-base-nox \
ocaml-findlib ocaml-interp ocaml-nox qt3-dev-tools x11proto-core-dev \
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86dga-dev \
x11proto-xf86vidmode-dev zlib1g-dev zlib1g-dev


:shock:
又要安装一堆文件了。


_________________
QQ:273247606
EMAIL:yanghui1986527@gmail.com


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译